.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 999;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease, visibility 0.4s ease;
}

.overlay.active {
    opacity: 1;
    visibility: visible;
}

.drawer {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) translateY(100%);
    width: 100%;
    max-width: 80vw;
    height: 75vh;
    background-color: #F2EEE7;
    z-index: 1000;
    transition: transform 0.5s cubic-bezier(0.25, 1, 0.5, 1);
    display: flex;
    overflow: hidden;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.drawer.active {
    transform: translate(-50%, 0);
}

.drawer-content {
    display: grid;
    grid-template-columns: 40% 1fr;
    width: 100%;
    height: 100%;
}

.image-column {
    height: 100%;
    position: relative;
    overflow: hidden;
    padding: 12px;
    flex-shrink: 0;
}

.image-column img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.details-column {
    padding: 36px 12px;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    background-color: #F5F2EC;
}

.close-btn {
    position: absolute;
    top: 12px;
    right: 12px;
    background: #482A1814;
    border: none;
    width: 28px;
    height: 28px;
    font-size: 18px;
    color: #6d6158;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    transition: background 0.2s;
    line-height: 1;
}

.close-btn svg path {
    stroke: #482A18;
}

.close-btn:hover {
    background: #dcd6cb;
}

.title {
    /* font-family: 'Proxima Nova', serif; */
    font-size: 24px;
    color: #482A18;
    margin-bottom: 24px;
    font-weight: 600;
    letter-spacing: -0.5px;
}

.info-layout {
    display: flex;
    gap: 40px;
    align-items: flex-start;
}

.attributes-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
    min-width: 140px;
}

.attr-item {
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid #482A181A;
    padding-bottom: 12px;
}

.attr-item:last-child {
    border-bottom: none;
}

.attr-val {
    font-size: 16px;
    font-weight: 400;
    color: #482A18;
    margin-bottom: 4px;
    line-height: 125%;
}

.attr-label {
    font-size: 10px;
    color: #9D968E;
    text-transform: uppercase;
}

.description {
    flex: 1;
    padding-top: 5px;
}

.description h2 {
    /* font-family: 'Proxima Nova', serif; */
    font-size: 16px;
    color: #482A18;
    margin-bottom: 8px;
    font-weight: 400;
    line-height: 125%;
}

.description p {
    /* font-family: 'Proxima Nova', sans-serif; */
    font-size: 16px;
    line-height: 125%;
    font-weight: 400;
    color: #482A18B8;
}

.divider {
    width: 100%;
    height: 1px;
    background-color: #482A181A;
    margin-bottom: 24px;
}

@media (max-width: 768px) {
    .drawer {
        height: 100%;
        max-height: 90vh;
    }

    .drawer-content {
        grid-template-columns: 1fr;
        max-width: 100%;
    }

    .image-column {
        height: 300px;
    }

    .image-column img {
        border-radius: 4px;
        overflow: hidden;
    }

    .details-column {
        padding: 20px;
    }

    .info-layout {
        gap: 20px;
    }

    .close-btn {
        background-color: #FFFFFF14;
        top: 24px;
        right: 24px;
    }

    .close-btn svg path {
        stroke: #FFFFFF;
    }
}